import React from 'react';
import { ImageStyle, StyleProp, ViewStyle } from 'react-native';
import { FileType } from '@sendbird/uikit-utils';
import IconAssets from '../../assets/icon';
type IconNames = keyof typeof IconAssets;
type Props = {
    icon: IconNames;
    color?: string;
    size?: number;
    style?: StyleProp<ImageStyle>;
    containerStyle?: StyleProp<ViewStyle>;
};
declare const _default: (({ icon, color, size, containerStyle, style }: Props) => React.JSX.Element) & {
    Assets: {
        'chat-hide': any;
        'chat-show': any;
        add: any;
        archive: any;
        'arrow-left': any;
        'audio-off-filled': any;
        'audio-off': any;
        'audio-on-filled': any;
        'audio-on': any;
        ban: any;
        broadcast: any;
        camera: any;
        channels: any;
        'chat-filled': any;
        chat: any;
        'checkbox-off': any;
        'checkbox-on': any;
        'chevron-down': any;
        'chevron-right': any;
        close: any;
        copy: any;
        create: any;
        delete: any;
        document: any;
        'done-all': any;
        done: any;
        download: any;
        edit: any;
        'emoji-more': any;
        error: any;
        'file-audio': any;
        'file-document': any;
        freeze: any;
        gif: any;
        info: any;
        leave: any;
        members: any;
        message: any;
        moderation: any;
        more: any;
        mute: any;
        'notifications-filled': any;
        'notifications-off-filled': any;
        notifications: any;
        operator: any;
        pause: any;
        photo: any;
        play: any;
        plus: any;
        question: any;
        'radio-off': any;
        'radio-on': any;
        recording: any;
        refresh: any;
        remove: any;
        'reply-filled': any;
        reply: any;
        search: any;
        send: any;
        'settings-filled': any;
        spinner: any;
        stop: any;
        streaming: any;
        supergroup: any;
        theme: any;
        thread: any;
        'thumbnail-none': any;
        unarchive: any;
        user: any;
    };
    File: ({ fileType, ...props }: Omit<Props, "icon"> & {
        fileType: FileType;
    }) => React.JSX.Element;
};
export default _default;
